#include "goal_marker.hpp"
#include "godot_cpp/classes/global_constants.hpp"
#include "planner.hpp"
#include "utils/godot_macros.h"

namespace godot {
void GoalMarker::_bind_methods() {
#define CLASSNAME GoalMarker
    GDPROPERTY_HINTED(goal, Variant::OBJECT, PROPERTY_HINT_RESOURCE_TYPE, "Goal");
}

Ref<goap::Goal> GoalMarker::get_goal() const {
    return this->goal;
}

void GoalMarker::set_goal(Ref<goap::Goal> goal) {
    this->goal = goal;
}
}
