#ifndef GOAL_MARKER_HPP
#define GOAL_MARKER_HPP

#include <godot_cpp/classes/area3d.hpp>

namespace godot {
class CharacterActor;
namespace goap {
    class Planner;
    class Goal;
}

class GoalMarker : public Area3D {
    GDCLASS(GoalMarker, Area3D);
    static void _bind_methods();
public:
    Ref<goap::Goal> get_goal() const;
    void set_goal(Ref<goap::Goal> goal);
private:
    Ref<goap::Goal> goal{nullptr};
};
}

#endif // !GOAL_MARKER_HPP
